<?php
/**
 * @version     $Id$
 * @package     WebDevTrack
 * @subpackage  com_webdevtrack
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

/**
 * webdevtrack display helper.
 *
 * @package     WebDevTrack
 * @subpackage  com_webdevtrack
 * @since       1.3.0
 */
class webdevtrackHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  The name of the active view.
	 *
	 * @return  void
	 *
	 * @since   1.3.0
	 */
	public static function addSubmenu($vName)
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_WEBDEVTRACK_SUBMENU_CATEGORIES'),
			'index.php?option=com_categories&extension=com_webdevtrack',
			$vName == 'categories'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_WEBDEVTRACK_SUBMENU_SERVERS'),
			'index.php?option=com_webdevtrack&view=servers',
			$vName == 'servers'
		);
		
		JSubMenuHelper::addEntry(
			JText::_('COM_WEBDEVTRACK_SUBMENU_CUSTOMERS'),
			'index.php?option=com_webdevtrack&view=customers',
			$vName == 'customers'
		);

			JSubMenuHelper::addEntry(
			JText::_('COM_WEBDEVTRACK_SUBMENU_TYPES'),
			'index.php?option=com_webdevtrack&view=types',
			$vName == 'types'
		);
	
			JSubMenuHelper::addEntry(
			JText::_('COM_WEBDEVTRACK_SUBMENU_SOFTWARES'),
			'index.php?option=com_webdevtrack&view=softwares',
			$vName == 'softwares'
		);
	
			JSubMenuHelper::addEntry(
			JText::_('COM_WEBDEVTRACK_SUBMENU_VERSIONS'),
			'index.php?option=com_webdevtrack&view=versions',
			$vName == 'versions'
		);
	
			JSubMenuHelper::addEntry(
			JText::_('COM_WEBDEVTRACK_SUBMENU_CUSTOMER_SOFTWARES'),
			'index.php?option=com_webdevtrack&view=customersoftwares',
			$vName == 'customersoftwares'
		);
	
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return  JObject
	 * @since   1.6
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, 'com_webdevtrack'));
		}

		return $result;
	}
}